Skip to main content
`Ctrl`+`K`

# PETSC_i

the imaginary number i

## Synopsis

    #include <petscsys.h>
    PetscComplex PETSC_i;

## Note

Complex numbers are automatically available if PETSc located a working complex implementation

## See Also

`PetscRealPart()`, `PetscImaginaryPart()`, `PetscRealPartComplex()`, `PetscImaginaryPartComplex()`

## Level

beginner

## Location

src/sys/objects/init.c

## Examples

src/snes/tutorials/ex7.c
src/ksp/ksp/tutorials/ex11.c
src/ksp/ksp/tutorials/ex59.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages